tools: patch: make patch build depend on automake
authorHauke Mehrtens <hauke@hauke-m.de>
Sun, 14 Oct 2018 13:25:37 +0000 (15:25 +0200)
committerHauke Mehrtens <hauke@hauke-m.de>
Sun, 14 Oct 2018 13:27:38 +0000 (15:27 +0200)
The Makefile.am changed and now patch wants to use automake to
regenerate the Makefile.in. Make sure automake was build before we build
patch.

This fixes build problem seen by the build bots.
Fixes: 4797dddfde6 ("patch: apply upstream cve fixes")
Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
tools/Makefile

index 9a354f6..7d6a17e 100644 (file)
@@ -67,6 +67,7 @@ $(curdir)/bc/compile := $(curdir)/bison/compile
 $(curdir)/findutils/compile := $(curdir)/bison/compile
 $(curdir)/gengetopt/compile := $(curdir)/libtool/compile
 $(curdir)/patchelf/compile := $(curdir)/libtool/compile
+$(curdir)/patch/compile := $(curdir)/automake/compile
 $(curdir)/dosfstools/compile := $(curdir)/autoconf/compile $(curdir)/automake/compile
 $(curdir)/libressl/compile := $(curdir)/pkg-config/compile
 $(curdir)/mkimage/compile += $(curdir)/libressl/compile